%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Text-CSV_XS
Version:       1.41
Release:       1mamba
Summary:       Text::CSV_XS - comma-separated values manipulation routines
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/H/HM/HMBRAND/Text-CSV_XS-%{version}.tgz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Text::CSV_XS provides facilities for the composition and decomposition of comma-separated values. An instance of the Text::CSV_XS class can combine fields into a CSV string and parse a CSV string into fields.

The module accepts either strings or files as input and can utilize any user-specified characters as delimiters, separators, and escapes so it is perhaps better called ASV (anything separated values) rather than just CSV.

%prep

%setup -q -n Text-CSV_XS-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sun May 03 2020 Automatic Build System <autodist@mambasoft.it> 1.41-1mamba
- automatic update by autodist

* Thu Nov 23 2017 Automatic Build System <autodist@mambasoft.it> 1.34-1mamba
- automatic update by autodist

* Sat Oct 28 2017 Automatic Build System <autodist@mambasoft.it> 1.33-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21-2mamba
- rebuilt with perl 5.24

* Tue Feb 02 2016 Automatic Build System <autodist@mambasoft.it> 1.21-1mamba
- automatic update by autodist

* Sat May 23 2015 Automatic Build System <autodist@mambasoft.it> 1.18-1mamba
- automatic update by autodist

* Fri May 08 2015 Automatic Build System <autodist@mambasoft.it> 1.17-1mamba
- automatic update by autodist

* Thu Mar 26 2015 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic update by autodist

* Tue Feb 17 2015 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic update by autodist

* Sat Feb 07 2015 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic update by autodist

* Thu Jan 08 2015 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic update by autodist

* Wed Dec 10 2014 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic update by autodist

* Thu Jul 10 2014 Automatic Build System <autodist@mambasoft.it> 1.09-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 1.08-1mamba
- automatic update by autodist

* Fri Nov 22 2013 Automatic Build System <autodist@mambasoft.it> 1.02-1mamba
- automatic update by autodist

* Wed Jun 26 2013 Automatic Build System <autodist@mambasoft.it> 1.01-1mamba
- automatic version update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 0.98-1mamba
- automatic version update by autodist

* Sun Mar 31 2013 Automatic Build System <autodist@mambasoft.it> 0.97-1mamba
- automatic version update by autodist

* Sat Jan 19 2013 Automatic Build System <autodist@mambasoft.it> 0.95-1mamba
- automatic version update by autodist

* Sat Jan 12 2013 Automatic Build System <autodist@mambasoft.it> 0.94-1mamba
- automatic version update by autodist

* Fri Nov 30 2012 Automatic Build System <autodist@mambasoft.it> 0.93-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.91-2mamba
- perl 5.16 mass rebuild

* Tue Aug 21 2012 Automatic Build System <autodist@mambasoft.it> 0.91-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 0.90-1mamba
- automatic version update by autodist

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 0.88-1mamba
- automatic version update by autodist

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 0.82-1mamba
- automatic update by autodist

* Wed Mar 30 2011 Automatic Build System <autodist@mambasoft.it> 0.81-1mamba
- automatic update by autodist

* Thu Dec 30 2010 Automatic Build System <autodist@mambasoft.it> 0.80-1mamba
- automatic update by autodist

* Thu Dec 02 2010 Automatic Build System <autodist@mambasoft.it> 0.79-1mamba
- automatic update by autodist

* Thu Nov 11 2010 Automatic Build System <autodist@mambasoft.it> 0.76-1mamba
- automatic update by autodist

* Sat Oct 02 2010 Automatic Build System <autodist@mambasoft.it> 0.74-1mamba
- automatic update by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 0.73-1mamba
- automatic update by autodist

* Mon Jan 25 2010 Automatic Build System <autodist@mambasoft.it> 0.70-1mamba
- automatic update by autodist

* Fri Oct 16 2009 Automatic Build System <autodist@mambasoft.it> 0.69-1mamba
- automatic update by autodist

* Tue Aug 11 2009 Automatic Build System <autodist@mambasoft.it> 0.67-1mamba
- automatic update by autodist

* Wed Jun 10 2009 Automatic Build System <autodist@mambasoft.it> 0.65-1mamba
- automatic update by autodist

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.64-1mamba
- automatic update by autodist

* Wed Apr 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.63-1mamba
- automatic update by autodist

* Sat Feb 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.60-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.55-2mamba
- automatic rebuild by autodist

* Mon Oct 20 2008 gil <puntogil@libero.it> 0.55-1mamba
- package created by autospec
